The current system requirements are:
  • Internet connectivity
  • Recent HTML5 compliant browser version - The browser needs to fully support HTML5
    • IE 10 or higher
    • Firefox
    • Chrome
    • Safari (Mac OS Only)
  • Browser JavaScript Enabled
  • Browser must accept third party cookies
  • Adherence to End-User License Agreement